Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.statistics
Interface CIBServicePerfStats

All Superinterfaces:
  CIBPerfStats, CIBProvider, CIBStats, javax.management.j2ee.statistics.Stats

All Known Implementing Classes:
  CIBServicePerfStatsImpl

public interface CIBServicePerfStats
extends CIBPerfStats

Provides methods that should be implemented by a CIBServicePerfStats provider providing performance statistics for a CIBService

Field Summary

Fields inherited from interface com.sun.mfwk.cib.statistics.CIBStats
`CIBStatsVersion`

Method Summary
`CIBCountStatistic` | `getFailedRequests()` Returns a CIBValueStatistic representing the number of failed requests (requests with a failed status).
`CIBCountStatistic` | `getInRequests()` Returns a CIBCountStatistic representing the number of requests arrived at the Component Product.
`CIBCountStatistic` | `getOutRequests()` Returns a CIBCountStatistic representing the number of requests completed by the Component Product.
`CIBRangeStatistic` | `getOutstandingRequests()` Returns a CIBRangeStatistic representing the OutstandingRequests statistics.
`CIBTimeStatistic` | `getResidentTime()` Returns a CIBTimeStatistic with the Resident Time data.
`CIBTimeStatistic` | `getServiceTime()` Returns a CIBTimeStatistic representing the Service Time data.

Methods inherited from interface com.sun.mfwk.cib.statistics.CIBStats
`fromCompositeData, toCompositeData`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Methods inherited from interface com.sun.mfwk.cib.providers.CIBProvider
`destroy, init`

Method Detail

### getResidentTime

    public CIBTimeStatistic getResidentTime()
                                     throws CIBIOException,
                                            CIBAttributeNotFoundException

  Returns a CIBTimeStatistic with the Resident Time data. Resident Time is defined as the time elapsed between the arrival of a request until the moment the Component Product decides that the request has been serviced.

  The CIBTimeStatistic interface includes attributes to represent the accumulated value, the accumulated squared values, the minimum and maximum values that were reached since monitoring has been turned on.

  Returns:
    CIBTimeStatistic
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

### getServiceTime

    public CIBTimeStatistic getServiceTime()
                                    throws CIBIOException,
                                           CIBAttributeNotFoundException

  Returns a CIBTimeStatistic representing the Service Time data. Service Time is defined as the CPU time consumption that has been dedicated to service requests.

  This is needed for statistical performance measurements.

  Returns:
    CIBTimeStatistic
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

### getFailedRequests

    public CIBCountStatistic getFailedRequests()
                                        throws CIBIOException,
                                               CIBAttributeNotFoundException

  Returns a CIBValueStatistic representing the number of failed requests (requests with a failed status).

  Returns:
    CIBCountStatistic
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

### getOutstandingRequests

    public CIBRangeStatistic getOutstandingRequests()
                                             throws CIBIOException,
                                                    CIBAttributeNotFoundException

  Returns a CIBRangeStatistic representing the OutstandingRequests statistics.

  Returns:
    CIBRangeStatistic
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

### getInRequests

    public CIBCountStatistic getInRequests()
                                    throws CIBIOException,
                                           CIBAttributeNotFoundException

  Returns a CIBCountStatistic representing the number of requests arrived at the Component Product.

  Returns:
    CIBCountStatistic
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

### getOutRequests

    public CIBCountStatistic getOutRequests()
                                     throws CIBIOException,
                                            CIBAttributeNotFoundException

  Returns a CIBCountStatistic representing the number of requests completed by the Component Product.

  Returns:
    CIBCountStatistic
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD